#
# This script will help you to install all R-packages, which are needed to run
# the scripts of the CM SAF R TOOLBOX. To run the script, a internet connection 
# is necessary. You should run this script once for installation.
# 
# Have fun with the CM SAF R TOOLBOX!         (Steffen Kothe / CM SAF 2018-08-24)
#_________________________________________________________________________________
# No changes needed. Please just source the script.



# The 'cmsaf'-package is the heart of the CM SAf R TOOLBOX

  list.of.packages <- c("cmsaf")
  new.packages <- list.of.packages[!(list.of.packages %in% installed.packages()[,"Package"])]
  if(length(new.packages)) install.packages(new.packages,dependencies = TRUE)
  
# Additional packages for Prep.Data.R
  
  list.of.packages <- c("R.utils")
  new.packages <- list.of.packages[!(list.of.packages %in% installed.packages()[,"Package"])]
  if(length(new.packages)) install.packages(new.packages,dependencies = TRUE)
  
# Additional packages for Apply.Function.R including CM SAF R Visualizer
  
  list.of.packages <- c("shiny","shinythemes","shinyFiles","RColorBrewer","rworldmap",
                        "rworldxtra","colourpicker")
  new.packages <- list.of.packages[!(list.of.packages %in% installed.packages()[,"Package"])]
  if(length(new.packages)) install.packages(new.packages,dependencies = TRUE)

# Additional packages for plotting scripts
  
  list.of.packages <- c("maptools","colorRamps","mapdata","mapproj")
  new.packages <- list.of.packages[!(list.of.packages %in% installed.packages()[,"Package"])]
  if(length(new.packages)) install.packages(new.packages,dependencies = TRUE)
  
# Additional package for regridding AOD or CLAAS data in Prep.Data.R
  
  list.of.packages <- c("FNN")
  new.packages <- list.of.packages[!(list.of.packages %in% installed.packages()[,"Package"])]
  if(length(new.packages)) install.packages(new.packages,dependencies = TRUE)
  